ext {

    shortVersion = 1
    // Smack Versions
    // Quickly switch between unique and normal releases using the toggle below

    jxmppVersion = '0.7.0-alpha6'
    // Version Strings for non-unique releases
    //*
    smackVersion = shortVersion

    smackAndroidVersion = smackVersion
    smackAndroidExtensionsVersion = smackVersion
    smackBoshVersion = smackVersion
    smackCompressionJzlibVersion = smackVersion
    smackCoreVersion = smackVersion
    smackDebugVersion = smackVersion
    smackDebugSlf4jVersion = smackVersion
    smackExperimentalVersion = smackVersion
    smackExtensionsVersion = smackVersion
    smackImVersion = smackVersion
    smackIntegrationTestVersion = smackVersion
    smackJava7Version = smackVersion
    smackJingleOldVersion = smackVersion
    smackLegacyVersion = smackVersion
    smackOmemoVersion = smackVersion
    smackOmemoSignalVersion = smackVersion
    smackOmemoSignalIntegrationTestVersion = smackVersion
    smackOpenpgpVersion = smackVersion
    smackReplVersion = smackVersion
    smackResolverDnsjavaVersion = smackVersion
    smackResolverJavaxVersion = smackVersion
    smackResolverMinidnsVersion = smackVersion
    smackResolverMinidnsDoxVersion = smackVersion
    smackSaslJavaxVersion = smackVersion
    smackSaslProvidedVersion = smackVersion
    smackTcpVersion = smackVersion

    /*/
    // Version strings for unique versions
    // https://github.com/igniterealtime/Smack/wiki/How-to-use-Smack-snapshots
    // These can be determined using utils/smack-unique-snapshots.sh

    smackAndroidVersion = "4.4.0-alpha2-20190721.010510-56"
    smackAndroidExtensionsVersion = "4.4.0-alpha2-20190721.010510-56"
    smackBoshVersion = "4.4.0-alpha2-20190721.010510-56"
    smackCompressionJzlibVersion = "4.4.0-alpha2-20190721.010510-56"
    smackCoreVersion = "4.4.0-alpha2-20190721.010511-56"
    smackDebugVersion = "4.4.0-alpha2-20190721.010511-56"
    smackDebugSlf4jVersion = "4.4.0-alpha2-20190721.010511-56"
    smackExperimentalVersion = "4.4.0-alpha2-20190721.010511-56"
    smackExtensionsVersion = "4.4.0-alpha2-20190721.010511-55"
    smackImVersion = "4.4.0-alpha2-20190721.010511-55"
    smackIntegrationTestVersion = "4.4.0-alpha2-20190721.010512-52"
    smackJava7Version = "4.4.0-alpha2-20190721.010512-55"
    smackJingleOldVersion = "4.4.0-alpha2-20190721.010513-55"
    smackLegacyVersion = "4.4.0-alpha2-20190721.010513-55"
    smackOmemoVersion = "4.4.0-alpha2-20190721.010513-55"
    smackOmemoSignalVersion = "4.4.0-alpha2-20190721.010513-55"
    smackOmemoSignalIntegrationTestVersion = "4.4.0-alpha2-20190721.010513-52"
    smackOpenpgpVersion = "4.4.0-alpha2-20190721.010514-51"
    smackReplVersion = "4.4.0-alpha2-20190721.010514-55"
    smackResolverDnsjavaVersion = "4.4.0-alpha2-20190721.010514-55"
    smackResolverJavaxVersion = "4.4.0-alpha2-20190721.010514-55"
    smackResolverMinidnsVersion = "4.4.0-alpha2-20190721.010514-55"
    smackResolverMinidnsDoxVersion = "4.4.0-alpha2-20190721.010514-3"
    smackSaslJavaxVersion = "4.4.0-alpha2-20190721.010515-55"
    smackSaslProvidedVersion = "4.4.0-alpha2-20190721.010515-55"
    smackTcpVersion = "4.4.0-alpha2-20190721.010515-55"

    //*/

    // Other libraries

    // Architecture Components
    lifecycleVersion = '2.2.0-rc03'
    pagingVersion = "2.1.0"
    appCompatVersion = '1.1.0'

    // Room
    roomVersion = "2.1.0"
    roomRxJavaVersion = "2.1.0"

    // RxJava2
    rxJava2Version = "2.2.11"
    rxAndroidVersion = "2.1.1"

    // Dagger 2
    daggerVersion = '2.28.3'

    // Lombok
    lombokVersion = '1.18.12'

    // Android Support Library
    supportLibVersion = "28.0.0"

    // Butter Knife
    butterKnifeVersion = '10.2.1'

    // JUnit
    junitVersion = '5.6.2'
    andxTestJunitVersion = "1.1.1"

    // androidx.test:runner
    andxTestRunnerVersion = "1.2.0"
    andxTestCoreVersion = "1.2.0"
    andxTestEspressoVersion = "3.2.0"

    // Requery
    requeryVersion = "1.6.1"
}